List banks available for the authenticated tenant's country
Authorization
bearer In: header
Query Parameters
Opaque cursor from CursorPaginationDto.cursor. Use next_cursor or previous_cursor from the previous response.
Page size from CursorPaginationDto.limit.
201 <= value <= 100Full-text search term from CursorPaginationDto.search.
Include soft-deleted records from CursorPaginationDto.with_deleted.
falseInclude payload JSON search from CursorPaginationDto.include_payload_search when supported by the endpoint.
falseSort expression from CursorPaginationDto.sort in the format field:order (for example created_at:desc).
Exact match for "code" (string)
Not equal filter for "code" (string)
Contains filter for "code"
Does not contain filter for "code"
Exact match for "country_code" (string)
Not equal filter for "country_code" (string)
Contains filter for "country_code"
Does not contain filter for "country_code"
Exact match for "name" (string)
Not equal filter for "name" (string)
Contains filter for "name"
Does not contain filter for "name"
Exact match for "official_name" (string)
Not equal filter for "official_name" (string)
Contains filter for "official_name"
Does not contain filter for "official_name"
Exact match for "swift_code" (string)
Not equal filter for "swift_code" (string)
Contains filter for "swift_code"
Does not contain filter for "swift_code"
Exact match for "is_blocked" (boolean)
Not equal filter for "is_blocked" (boolean)
Exact match for "display_order" (number)
Not equal filter for "display_order" (number)
Greater than filter for "display_order" (number)
Greater than or equal filter for "display_order" (number)
Less than filter for "display_order" (number)
Less than or equal filter for "display_order" (number)
Exact match for "created_at" (ISO 8601 datetime)
Not equal filter for "created_at" (ISO 8601 datetime)
Greater than filter for "created_at" (ISO 8601 datetime)
Greater than or equal filter for "created_at" (ISO 8601 datetime)
Less than filter for "created_at" (ISO 8601 datetime)
Less than or equal filter for "created_at" (ISO 8601 datetime)
Exact match for "updated_at" (ISO 8601 datetime)
Not equal filter for "updated_at" (ISO 8601 datetime)
Greater than filter for "updated_at" (ISO 8601 datetime)
Greater than or equal filter for "updated_at" (ISO 8601 datetime)
Less than filter for "updated_at" (ISO 8601 datetime)
Less than or equal filter for "updated_at" (ISO 8601 datetime)
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.biterp.ai/banks"{
"data": [
{
"id": "string",
"country_id": 0,
"country_code": "string",
"code": "string",
"name": "string",
"official_name": "string",
"swift_code": "string",
"website": "string",
"logo_url": "string",
"aliases": [
"string"
],
"external_codes": {
"property1": "string",
"property2": "string"
},
"is_blocked": true,
"display_order": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"limit": 0,
"has_next_page": true,
"has_previous_page": true,
"current_query_cursor": "string",
"current_page_cursor": "string",
"next_cursor": "string",
"previous_cursor": "string"
},
"meta": {
"filters": {},
"search": "string",
"sort": {
"field": "string",
"order": "asc"
}
}
}{
"statusCode": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}{
"statusCode": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}{
"statusCode": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}
